GET /katello/api/capsules
200
{
"total": 2,
"subtotal": 2,
"page": 1,
"per_page": 20,
"search": null,
"sort": {
"by": null,
"order": null
},
"results": [
{
"created_at": "2026-11-12 11:01:01 UTC",
"updated_at": "2026-11-12 11:01:01 UTC",
"hosts_count": 0,
"unrecognized_features": [],
"name": "Pulp Primary Proxy",
"id": 767380118,
"url": "https://runnervm7aw5e:9090",
"remote_execution_pubkey": null,
"remote_execution_ca_pubkey": null,
"download_policy": null,
"supported_pulp_types": [
"ansible_collection",
"deb",
"docker",
"file",
"ostree",
"python",
"yum"
],
"lifecycle_environments": [],
"container_registry_auth_enabled": false,
"features": [
{
"capabilities": []
},
{
"capabilities": [
"ansible",
"certguard",
"container",
"core",
"deb",
"file",
"rpm",
"python",
"ostree"
],
"name": "Pulpcore",
"id": 990889162
}
]
},
{
"created_at": "2026-11-12 11:01:00 UTC",
"updated_at": "2026-11-12 11:01:00 UTC",
"hosts_count": 0,
"unrecognized_features": [],
"name": "Unused Proxy",
"id": 281110143,
"url": "http://else.where:45672",
"remote_execution_pubkey": null,
"remote_execution_ca_pubkey": null,
"download_policy": null,
"supported_pulp_types": [],
"lifecycle_environments": [],
"container_registry_auth_enabled": false,
"features": [
{
"capabilities": [],
"name": "Container_Gateway",
"id": 1006510557
},
{
"capabilities": [
"core"
],
"name": "Pulpcore",
"id": 990889162
}
]
}
]
}
| Param name | Description |
|---|---|
|
search
optional |
Search string Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return Validations:
|
|
order
optional |
Sort field and order, eg. ‘id DESC’ Validations:
|
|
full_result
optional |
Whether or not to show all results Validations:
|
|
sort_by
optional |
Field to sort the results on Validations:
|
|
sort_order
optional |
How to order the sorted results (e.g. ASC for ascending) Validations:
|
GET /katello/api/capsules/281110143 204
| Param name | Description |
|---|---|
|
id
required |
Id of the smart proxy Validations:
|